clang-tools 10.0.0

Classes | Public Types | Public Member Functions | Friends | List of all members
clang::clangd::SelectionTree Class Reference

`#include <Selection.h>`

## Classes
struct | Node

## Public Types
enum | Selection : unsigned char { Unselected, Partial, Complete }

## Public Member Functions
| SelectionTree (ASTContext &AST, const syntax::TokenBuffer &Tokens, unsigned Offset)
| SelectionTree (ASTContext &AST, const syntax::TokenBuffer &Tokens, unsigned Start, unsigned End)
const Node * | commonAncestor () const
const Node & | root () const

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &OS, const SelectionTree &T)

## Detailed Description

Definition at line 65 of file Selection.h.

## Member Enumeration Documentation

## ◆ Selection

enum clang::clangd::SelectionTree::Selection : unsigned char

Enumerator
Unselected |
Partial |
Complete |

Definition at line 79 of file Selection.h.

## Constructor & Destructor Documentation

## ◆ SelectionTree() [1/2]

clang::clangd::SelectionTree::SelectionTree | ( | ASTContext & | AST,
|  | const syntax::TokenBuffer & | Tokens,
|  | unsigned | Offset
| ) |  |

Definition at line 706 of file Selection.cpp.

## ◆ SelectionTree() [2/2]

clang::clangd::SelectionTree::SelectionTree | ( | ASTContext & | AST,
|  | const syntax::TokenBuffer & | Tokens,
|  | unsigned | Start,
|  | unsigned | End
| ) |  |

Definition at line 686 of file Selection.cpp.

## Member Function Documentation

## ◆ commonAncestor()

const Node * clang::clangd::SelectionTree::commonAncestor | ( |  | ) | const

Definition at line 710 of file Selection.cpp.

References clang::clangd::SelectionTree::Node::Children, and clang::clangd::SelectionTree::Node::Selected.

## ◆ root()

const Node& clang::clangd::SelectionTree::root | ( |  | ) | const
| inline

Definition at line 121 of file Selection.h.

## Friends And Related Function Documentation

## ◆ operator<<

llvm::raw_ostream& operator<< | ( | llvm::raw_ostream & | OS,
|  | const SelectionTree & | T
| ) |  |
| friend

Definition at line 129 of file Selection.h.

The documentation for this class was generated from the following files:

- Selection.h
- Selection.cpp